@echo off
if NOT "%1"=="" goto itsok
echo *************************************************************************
echo *                                                                       *
echo *                    Chicago 1.44Mb floppy disks                        *
echo *                                                                       *
echo *              THESE DISKS ARE MICROSOFT CONFIDENTIAL AND               *
echo *              ARE SUBJECT TO THE NON-DISCLOSURE AGREEMENT              *
echo *            AND OTHER TERMS AND RESTRICTIONS OF THE CHICAGO            *
echo *                          BETA PROGRAM                                 *
echo *                                                                       *
echo *************************************************************************
echo *                                                                       *
echo *  Requires sixteen (16) 1.44Mb blank floppy diskettes                  *
echo *                                                                       *
echo *  USAGE:  TRANSFER drive-spec:                                         *
echo *  WHERE:  drive-spec: is your 1.44Mb floppy drive                      *
echo *     IE:  TRANSFER b:                                                  *
echo *                                                                       *
echo *  Creates 1.44Mb floppy disks                                          *
echo *                                                                       *
echo *************************************************************************
goto egress
:itsok
echo 
echo Transferring Chicago to drive %1
..\utils\choice /c:ca "Continue or Abort"
if ErrorLevel==2 goto EGRESS


:DISK1
cls
echo Chicago Disk #1: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK2
copy DELTEMP.COM    %1
copy EXTRACT.EXE    %1
copy MINI.CAB       %1
copy NETWORK.RTF    %1
copy PRECOPY.CAB    %1
copy RELNOTES.RTF   %1
copy SETUP.EXE      %1
copy SMARTDRV.EXE   %1
copy SUEXPAND.DLL   %1
copy VERX.DLL       %1
copy XMSMMGR.EXE    %1

:DISK2
echo 
echo Chicago Disk #2: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK3
copy PRECOPY2.CAB   %1
copy CHICO3.CAB     %1

:DISK3
echo 
echo Chicago Disk #3: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK4
copy CHICO4.CAB     %1

:DISK4
echo 
echo Chicago Disk #4: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK5
copy CHICO5.CAB     %1

:DISK5
echo 
echo Chicago Disk #5: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK6
copy CHICO6.CAB     %1

:DISK6
echo 
echo Chicago Disk #6: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK7
copy CHICO7.CAB     %1

:DISK7
echo 
echo Chicago Disk #7: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK8
copy CHICO8.CAB     %1

:DISK8
echo 
echo Chicago Disk #8: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK9
copy CHICO9.CAB     %1

:DISK9
echo 
echo Chicago Disk #9: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK10
copy CHICO10.CAB    %1

:DISK10
echo 
echo Chicago Disk #10: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK11
copy CHICO11.CAB   %1

:DISK11
echo 
echo Chicago Disk #11: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK12
copy CHICO12.CAB   %1

:DISK12
echo 
echo Chicago Disk #12: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK13
copy CHICO13.CAB   %1

:DISK13
echo 
echo Chicago Disk #13: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK14
copy CHICO14.CAB   %1

:DISK14
echo 
echo Chicago Disk #14: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK15
copy CHICO15.CAB   %1

:DISK15
echo 
echo Chicago Disk #15: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DISK16
copy CHICO16.CAB   %1

:DISK16
echo 
echo Chicago Disk #16: Insert blank formatted 1.44M disk in %1
..\utils\choice /c:msx "Make, Skip, eXit"
if ERRORLEVEL 3 goto EGRESS
if ERRORLEVEL 2 goto DONE
copy CHICO17.CAB   %1

:DONE
echo All done!
pause
:EGRESS
echo on
